Page MenuHomePhabricator

UIDGeneratorTest::testTimestampedUID is flaky (currently disabled)
Closed, ResolvedPublic

Description

20:49:19 1) UIDGeneratorTest::testTimestampedUID with data set #2 ('newTimestampedUID88', 27, 88, 46, 32)
20:49:19 New ID timestamp (10101001111010011100101100011111011011110000000000000100011100010100010111001110101) >= prior one (10101001111010011100101100011111011011110111111111100100011100010100010111001110101).
20:49:19 Failed asserting that '1010100111101001110010110001111101101111000000' is equal to <string:1010100111101001110010110001111101101111011111> or is greater than '1010100111101001110010110001111101101111011111'.

Event Timeline

Reedy created this task.Apr 1 2016, 9:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2016, 9:09 PM
Florian added a subscriber: Florian.Apr 1 2016, 9:48 PM

Change 281050 had a related patch set uploaded (by Krinkle):
Disable flaky UIDGeneratorTest::testTimestampedUID test

https://gerrit.wikimedia.org/r/281050

greg added a subscriber: greg.Apr 1 2016, 11:53 PM

Change 281050 merged by jenkins-bot:
Disable flaky UIDGeneratorTest::testTimestampedUID test

https://gerrit.wikimedia.org/r/281050

Reedy renamed this task from UIDGeneratorTest::testTimestampedUID is flaky to UIDGeneratorTest::testTimestampedUID is flaky (currently disabled).Apr 2 2016, 9:47 AM
Reedy triaged this task as Low priority.

Looking at this because this functionality is important for Flow.

Mattflaschen-WMF raised the priority of this task from Low to Normal.Apr 4 2016, 11:51 PM

Change 281578 had a related patch set uploaded (by Mattflaschen):
Fix UID test and make debugging easier

https://gerrit.wikimedia.org/r/281578

Change 281578 merged by jenkins-bot:
Fix UID test and make debugging easier

https://gerrit.wikimedia.org/r/281578

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 11:02 PM
  • Updated vagrant (vagrant git-update vagrant provision are required);
  • Running the test (UIDGeneratorTest.php) does not display any errors:
 vagrant@mediawiki-vagrant:/vagrant/mediawiki/tests/phpunit$ php phpunit.php includes/utils/UIDGeneratorTest.php 
Using HHVM 3.12.1 (5.6.99-hhvm)
PHPUnit 4.8.24 by Sebastian Bergmann and contributors.

Runtime:	HHVM 3.12.1
Configuration:	/vagrant/mediawiki/tests/phpunit/suite.xml
.........
Time: 1.44 seconds, Memory: 9.12Mb

OK (9 tests, 3329 assertions)
jmatazzoni closed this task as Resolved.Apr 26 2016, 12:23 AM